summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConlain Kelly <conlain.k@gmail.com>2018-06-06 11:01:22 -0400
committerConlain Kelly <conlain.k@gmail.com>2018-06-06 11:01:22 -0400
commite63f6d7ebd19805022ea82dc4c73f0133740f3e0 (patch)
tree62900b93712996d1ca44fb6bf1f6dd65e864b071
parentabe018e0fbdd91bcf0056b2e32cb3dc55716f646 (diff)
downloadsdl_core-e63f6d7ebd19805022ea82dc4c73f0133740f3e0.tar.gz
Apply style-checking modifications
-rwxr-xr-xtools/infrastructure/check_style.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/tools/infrastructure/check_style.sh b/tools/infrastructure/check_style.sh
index 647427e793..08ae1b9860 100755
--- a/tools/infrastructure/check_style.sh
+++ b/tools/infrastructure/check_style.sh
@@ -58,6 +58,19 @@ if [ "$1" = "--fix" ]
then
for FILE_NAME in $FILE_NAMES; do fix_style $FILE_NAME; done
else
- for FILE_NAME in $FILE_NAMES; do check_style $FILE_NAME; done
+ PASSED=0
+ for FILE_NAME in $FILE_NAMES; do
+ check_style $FILE_NAME
+ if [ $? != 0 ]
+ then
+ echo "in " $FILE_NAME
+ PASSED=1
+ fi
+ done
+ if [ $PASSED = 1 ]
+ then
+ exit 1
+ fi
fi
+